driveItems.updateShare
Change an existing share grant's permission.
PATCH /api/v1/drive-items/{itemId}/access/{email}
- SDK:
tb.driveItems.updateShare(input) - CLI:
thinkbench drive-items update-share - MCP tool:
drive_items_update_share
Input
| Field | Type | In | Description |
|---|---|---|---|
itemId |
string |
path | |
email |
string |
path | |
permission |
"read_write" | "read_only" |
body |
Output
Returns an empty response on success.
Examples
curl
curl -X PATCH "https://app.thinkbench.com/api/v1/drive-items/<itemId>/access/<email>" \
-H "x-api-key: $THINKBENCH_API_KEY" \
-H "content-type: application/json" \
-d '{"permission":"read_write"}'TypeScript SDK
await tb.driveItems.updateShare({ itemId: "<itemId>", email: "ada@example.com", permission: "read_write" });CLI
thinkbench drive-items update-share --item-id "<itemId>" --email "ada@example.com" --permission "read_write"MCP
{
"name": "drive_items_update_share",
"arguments": {
"itemId": "<itemId>",
"email": "ada@example.com",
"permission": "read_write"
}
}